package com.njcn.supervision.enums;

import lombok.Getter;

/**
 * 技术监督用户状态枚举
 */
@Getter
public enum SupervisionUserStatusEnum {

    /**
     * 技术监督用户状态:可研/建设/运行/退运
     */
    RESEARCH(0, "可研"),
    BUILD(1, "建设"),
    PRODUCT(2, "运行"),
    QUIT(3, "退运");

    private final int code;

    private final String message;

    SupervisionUserStatusEnum(int code, String message) {
        this.code=code;
        this.message=message;
    }

}
